PICOTOOL-OTP-LIST(1)

NAME
picotool-otp-list - List matching known registers/fields

SYNOPSIS
picotool otp list [-p] [-n] [-f] [-i <filename>] [<selector>..]

OPTIONS
Row/Field Selection

-p, --pages
    Show page number/page row number

-n, --no-descriptions
    Don’t show descriptions

-f, --field-descriptions
    Show all field descriptions

-i <filename>
    Include extra otp definition

<selector>
    The row/field selector, each of which can select a whole row:

ROW_NAME to select a whole row by name. ROW_NUMBER to select a whole row by number. PAGE:PAGE_ROW_NUMBER to select a whole row by page and number within page.

... or can select a single field/subset of a row (where ROW_SEL is one of the above row selectors):

ROW_SEL.FIELD_NAME to select a field within a row by name. ROW_SEL.n-m to select a range of bits within a row. ROW_SEL.n to select a single bit within a row. .FIELD_NAME to select any row’s field by name.

.. or can select multiple rows by using blank or `*' for PAGE or PAGE_ROW_NUMBER